<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('13','edits','R');    
$_SESSION['cuPages']='pro_subcategorylist.php';   
$cuPage='pro_subcategorylist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='product';
$menuh='Product Process';
$phead='scatlist';
$page='Edit Subcategory';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['update_subcategory'])){
    $scatid = remove_junk(escape($_POST['scatid']));
	$name = ucwords(remove_junk(escape($_POST['name'])));
    $catid = remove_junk(escape($_POST['catid']));
    $description = remove_junk(escape($_POST['description']));
	
	if(isset($_POST['name'])){
	$ducode = mysqli_query($con,"SELECT * FROM tbl_subcat WHERE name = '$name' AND catid='$catid' AND id!='$scatid'");
	}
	
	if($ducode->num_rows > 0) {
	save_msg('i','Sub-Category name alrady used under selected category! Plz try another');
	echo "<script>window.location='pro_subcategorylist.php'</script>";
	}else{    
    $sql="UPDATE tbl_subcat SET pid=NULL,catid=$catid,name='$name',description='$description' WHERE id='$scatid'";    
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
    $efid=mysqli_affected_rows($con);      
    if($efid>0){
    $act =remove_junk(escape('Sub-Category name: '.$name));    
    write_activity($aid,'SUB','Sub-Category has been updated',$act);    
    save_msg('s','Data Successfully Updated!');
    }else{
    save_msg('w','Data Fail to Update!');    
    }
    echo "<script>window.location='pro_subcategorylist.php'</script>";  
	}  
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Edit Sub-Category</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>  
<form action="pro_subcategoryedit.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">

<div class="row ">
<div class="col-md-12">
<div class="col-md-3"></div>
<div class="col-md-6">
<?php 
if(isset($_POST['editscat'])){
$ids = $_POST['editscat'];
$sql="SELECT * FROM tbl_subcat WHERE id='".$ids."' ORDER BY id ASC LIMIT 1";    
$admin=mysqli_query($con,$sql) or die(mysqli_error($con));    
$adm=mysqli_fetch_array($admin);
?>     
<div class="form-group">
<label>Sub-Category Name</label>
<input type="text" name="name" maxlength="45" value="<?php echo $adm['name'];?>" id="sname" class="form-control" placeholder="Sub-Category Name" />
<input type="hidden" maxlength="11" value="<?php echo $adm['id'];?>" class="form-control" name="scatid" autocomplete="off" readonly>    
</div>
<div class="form-group">
<label>Select Category</label>
<select class="form-control select2" name="catid" id="catid">
<option value="">-Select-</option>
<?php									
$queryd=mysqli_query($con,"SELECT * FROM tbl_category ORDER BY id ASC")or die(mysqli_error($con));
while ($rowd=mysqli_fetch_array($queryd)){
?>
<?php if($rowd['id']==$adm['catid']){ ?>
<option selected value="<?php echo $rowd['id'];?>"><?php echo $rowd['name'];?></option>
<?php }else{?>    
<option value="<?php echo $rowd['id'];?>"><?php echo $rowd['name'];?></option>
<?php } ?> 
<?php } ?>    
</select>    
</div>    
<div class="form-group">
<label>Description</label>
<textarea class="form-control" maxlength="250" rows="6" name="description" placeholder="Description"><?php echo $adm['description'];?></textarea>
</div>
<?php } ?>    
</div>    
<div class="col-md-3"></div>    
</div>    
</div>    

</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<input type="submit" name="update_subcategory" id="submit" class="btn btn-flat bg-purple btn-sm " value="Update"/> <a href="pro_subcategorylist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'SUB','A');}else{echo read_activity($aid,'SUB','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function () {  
var sname = new LiveValidation('sname');
sname.add(Validate.Presence);
var catid = new LiveValidation('catid');
catid.add(Validate.Presence);    
});
</script>    
<!-- /page script -->
</html>